This is the mail archive of the gcc-patches@gcc.gnu.org mailing list for the GCC project.


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]
Other format: [Raw text]

Re: [PATCH, committed] PPC405 atomic support (PR target/21760)


>>>>> Daniel Jacobowitz writes:

Dan> Why does this need to be a preprocessor check - why not do this based
Dan> on -mcpu=405 instead of --with-cpu=405?

	The atomic instruction fix needs to be included in all GCC runtime
libraries. No PPC405 multilib will be added.  Therefore, GCC needs to
be configured and built for PPC405 to address this erratum.  If one does
not configure for PPC405, there is no reason to include the fix.

	This also allows users to configure --with-cpu=405 for PPC405CR
and use -mcpu=405 for all other PPC405 processors which are not affected
by the erratum. 

David


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]